libdevel-nytprof-perl (6.11+dfsg-3) unstable; urgency=medium

  * Skip t/test62-subcaller1-b.t during autopkgtest's smoke.t.
    Thanks to Niko Tyni for the analysis. (Closes: #1005298)

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 Feb 2022 16:22:52 +0100

libdevel-nytprof-perl (6.11+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Set ARCHLIB for the host architecture. (Closes: #998342)

 -- gregor herrmann <gregoa@debian.org>  Tue, 02 Nov 2021 18:41:02 +0100

libdevel-nytprof-perl (6.11+dfsg-1) unstable; urgency=medium

  * Import upstream version 6.11+dfsg.
  * Remove debian/missing-sources/jquery.floatThead.js.
    The minified lib/Devel/NYTProf/js/jquery.floatThead.min.js was removed
    from the upstream tarball.
  * Remove information about floatThead.{,min.}js from d/copyright.
  * Declare compliance with Debian Policy 4.6.0.

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Sep 2021 16:14:58 +0200

libdevel-nytprof-perl (6.10+dfsg-1) unstable; urgency=medium

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ gregor herrmann ]
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.
  * Update filename of excluded/symlinked javascript file for next upstream
    release.

  * Import upstream version 6.10+dfsg.
  * Declare compliance with Debian Policy 4.5.1.
  * Set Rules-Requires-Root: no.
  * Drop unneeded version constraints from (build) dependencies.
  * Annotate test-only build dependencies with <!nocheck>.
  * Bump debhelper-compat to 13.
  * New test dependency: libcapture-tiny-perl.
  * Update debian/upstream/metadata.
  * Update years of packaging copyright.
  * Refresh debian/patches/manpage-section.patch (offset).
  * Add copyright/license information for jquery.floatThead.min.js and the
    unminified file to debian/missing-sources/.
  * Make dependency on libjs-jquery versioned.

 -- gregor herrmann <gregoa@debian.org>  Mon, 16 Aug 2021 02:03:07 +0200

libdevel-nytprof-perl (6.06+dfsg-1) unstable; urgency=medium

  * Import upstream version 6.06.
  * Declare compliance with Debian Policy 4.1.5.

 -- gregor herrmann <gregoa@debian.org>  Mon, 16 Jul 2018 21:05:28 +0200

libdevel-nytprof-perl (6.05+dfsg-1) unstable; urgency=medium

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Import upstream version 6.05.
  * Refresh patches autopkgtest.patch and usr-share.patch (offset).
  * Drop 0001-Make-the-test-suite-work-without-cwd-in-INC.patch
    (fixed upstream).
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.1.3.
  * Bump debhelper compatibility level to 10.

 -- gregor herrmann <gregoa@debian.org>  Sun, 01 Apr 2018 19:20:02 +0200

libdevel-nytprof-perl (6.04+dfsg-1) unstable; urgency=medium

  * Import upstream version 6.04.
  * Update copyright years for ppport.h.
  * Refresh usr-share.patch (offset).
  * Drop spelling.patch, merged upstream.
  * Remove unused lintian override.

 -- gregor herrmann <gregoa@debian.org>  Tue, 27 Dec 2016 23:49:22 +0100

libdevel-nytprof-perl (6.03+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ gregor herrmann ]
  * debian/upstream/metadata: use HTTPS for GitHub URLs.
  * Remove Jonathan Yu from Uploaders. Thanks for your work!
  * Remove Jose Luis Rivas from Uploaders. Thanks for your work!

  [ Niko Tyni ]
  * Patch the test suite to work without cwd in @INC (Closes: #837135)

 -- Niko Tyni <ntyni@debian.org>  Sat, 17 Sep 2016 14:02:55 +0300

libdevel-nytprof-perl (6.03+dfsg-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Change bugtracker URL(s) to HTTPS.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  * New upstream release:
    Fix to account for the deep stack optimizations in perl 5.23.8.
  * Update years of upstream and packaging copyright.
  * Refresh usr-share.patch (offset).
  * Set bindnow linker flag in debian/rules.
  * Add a patch to fix a spelling mistake in the docs.
  * Drop version constraint from libfile-which-perl (build) dependency.
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Mon, 23 May 2016 22:21:38 +0200

libdevel-nytprof-perl (6.02+dfsg-1) unstable; urgency=medium

  * Replace repacking framework with Files-Excluded in debian/copyright.
  * Add debian/upstream/metadata
  * Import upstream version 6.02+dfsg.
  * Update (build) dependencies.

 -- gregor herrmann <gregoa@debian.org>  Wed, 12 Aug 2015 14:13:23 +0200

libdevel-nytprof-perl (6.01+dfsg-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ gregor herrmann ]
  * Import new upstream release 6.01+dfsg.
    Fixes "FTBFS with perl 5.22".
    (Closes: #788070)
  * Refresh manpage-section.patch, usr-share.patch, flamegraph.patch,
    drop sub-name.patch.
  * Update (build) dependencies.
  * Declare compliance with Debian Policy 3.9.6.
  * Convert upstream Changes file from POD to text/plain.
  * Update years of packaging copyright.
  * Mark package as autopkgtest-able.

 -- gregor herrmann <gregoa@debian.org>  Mon, 08 Jun 2015 20:03:07 +0200

libdevel-nytprof-perl (5.06+dfsg-2) unstable; urgency=medium

  * Mark failing test as TODO for the time being.
    Cf. the discussion in the upstream bug at
    https://github.com/timbunce/devel-nytprof/issues/34 .
    (Closes: #755332)

 -- gregor herrmann <gregoa@debian.org>  Thu, 24 Jul 2014 22:04:19 +0200

libdevel-nytprof-perl (5.06+dfsg-1) unstable; urgency=medium

  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * Strip trailing slash from metacpan URLs.
  * Use $Config{vendorarch} in debian/rules as a preparation for the
    multi-arched perl 5.20.
  * Replace another javascript file with a symlink to the packaged
    version.
  * debian/rules: drop override_dh_link. The files-to-be-removed are
    somewhere else; and there they are replaced by somelinks anyway.
  * Add a lintian override for source-is-missing. The source is there,
    just the filenames don't match.
  * Add repackaging framework to get rid of minified jQuery files.
  * Repack as 5.06+dfsg.
  * Declare compliance with Debian Policy 3.9.5.

 -- gregor herrmann <gregoa@debian.org>  Mon, 02 Jun 2014 21:45:25 +0200

libdevel-nytprof-perl (5.06-1) unstable; urgency=low

  * New upstream release.
  * Don't install removed script anymore.
  * Refresh patches.

 -- gregor herrmann <gregoa@debian.org>  Sun, 22 Sep 2013 18:21:09 +0200

libdevel-nytprof-perl (5.02-2) unstable; urgency=low

  * debian/copyright: add information about bin/flamegraph.pl.
  * Install flamegraph.pl under /usr/share instead of as an example, and
    add a patch to use the helper script from there.
    Thanks to Simon Ruderich for the bug report. (Closes: #718731)

 -- gregor herrmann <gregoa@debian.org>  Wed, 07 Aug 2013 20:53:44 +0200

libdevel-nytprof-perl (5.02-1) unstable; urgency=low

  [ Stig Sandbeck Mathisen ]
  * Imported Upstream version 5.00
    Closes: #708597
  * Refresh manpage-section.patch, add manpage
  * Refresh usr-share.patch for offset
  * Add libtest-differences-perl to build depends

  [ gregor herrmann ]
  * New upstream release.
  * Install new bin/flamegraph.pl script as an example.

 -- gregor herrmann <gregoa@debian.org>  Fri, 17 May 2013 23:35:36 +0200

libdevel-nytprof-perl (4.25-1) unstable; urgency=low

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * New upstream release.
  * Use debhelper 9.20120312 to get all hardening flags.
  * debian/copyright: update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 17 Feb 2013 14:33:43 +0100

libdevel-nytprof-perl (4.23-1) unstable; urgency=low

  * Team upload.
  * Imported Upstream version 4.23
  * Drop fix-spelling-errors.patch patch
  * Refresh usr-share.patch for offset
  * Don't install MemoryProfiling.pod and Devel::MemoryProfiling.3pm

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 05 Jan 2013 15:44:44 +0100

libdevel-nytprof-perl (4.09-1) unstable; urgency=low

  * Team upload.
  * Imported Upstream version 4.09
  * Bump Standards-Version to 3.9.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 06 Nov 2012 17:21:20 +0100

libdevel-nytprof-perl (4.08-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Alessandro Ghedini ]
  * New upstream release
  * Update copyright to Copyright-Format 1.0
  * Bump upstream copyright years
  * Bump debhelper compat level to 9
  * Bump Standards-Version to 3.9.3 (no changes needed)
  * Update manpage-section.patch
  * Refresh usr-share.patch
  * Add fix-spelling-errors.patch
  * Add myself to Uploaders

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 16 Aug 2012 12:53:28 +0200

libdevel-nytprof-perl (4.06-1) unstable; urgency=low

  * Team upload.
  * New upstream release
  * Refresh debian/patches.

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 02 Dec 2010 08:31:19 +0100

libdevel-nytprof-perl (4.05-1) unstable; urgency=low

  * New upstream release
  * Added myself to Uploaders and upped standards version
  * Updated copyright
  * Refreshed patches

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 25 Sep 2010 10:00:31 +0100

libdevel-nytprof-perl (4.04-1) unstable; urgency=low

  * New upstream release.
  * Set Standards-Version to 3.9.0 (no changes).
  * Refresh usr-share.patch. Update patch headers.

 -- gregor herrmann <gregoa@debian.org>  Mon, 12 Jul 2010 17:55:05 +0200

libdevel-nytprof-perl (4.03-1) unstable; urgency=low

  * New upstream release.
  * Refresh usr-share.patch.

 -- gregor herrmann <gregoa@debian.org>  Mon, 21 Jun 2010 00:13:13 +0200

libdevel-nytprof-perl (4.02-1) unstable; urgency=low

  * New upstream release.
  * perftest.pl removed.
  * Refresh usr-share.patch.

 -- gregor herrmann <gregoa@debian.org>  Sat, 19 Jun 2010 01:38:47 +0200

libdevel-nytprof-perl (4.00-1) unstable; urgency=low

  * New upstream release.
  * Refresh usr-share.patch, refresh DEP3 headers for both patches.
  * Update years of upstream copyright.
  * Add a debian/NEWS file.
  * Don't install Devel::NYTProf::FileInfo.3pm (just a fragment).

 -- gregor herrmann <gregoa@debian.org>  Sat, 12 Jun 2010 16:53:53 +0200

libdevel-nytprof-perl (3.11-1) unstable; urgency=low

  * New upstream release
  * Add Sub::Name to B-D-I for testing

 -- Jonathan Yu <jawnsy@cpan.org>  Wed, 17 Mar 2010 17:30:57 -0400

libdevel-nytprof-perl (3.02-1) unstable; urgency=low

  * New upstream release:
    - "Changed nytprofhtml to show sort arrow on sortable tables."
      (closes: #528432)
  * Refresh patch manpage-section.patch.
  * Convert to source format 3.0 (quilt).
  * debian/copyright: update formatting, add info about third-party files.
  * Set Standards-Version to 3.8.4 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Mar 2010 13:50:48 +0100

libdevel-nytprof-perl (3.01-1) unstable; urgency=low

  * New upstream release.
  * Remove patches fix-pod-spelling.patch and bin-docs.patch, applied
    upstream.
  * Add creation of manpage for bin/nytprofmerge to
    debian/patches/manpage-section.patch.
  * debian/copyright: update years of packaging copyright.
  * debian/rules: remove removal of Mac OS X resource forks.

 -- gregor herrmann <gregoa@debian.org>  Wed, 30 Dec 2009 18:06:35 +0100

libdevel-nytprof-perl (3.00-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Use new short debhelper rules format
  * Fix copyright information for upstream
  * Refresh patches
  * Standards-Version 3.8.3 (drop perl version dep)
  * Add overrides to deal with shebangs and resource forks
  * Cherry-pick changes from upstream (RT#53098, RT#53097)
  * Add dependency per upstream, JSON::Any
  * Remove Test::More patch, we might as well just use ver
    0.88, as it's core in Perl 5.10.1

  [ Ryan Niebur ]
  * Update jawnsy's email address

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 27 Dec 2009 23:52:27 -0500

libdevel-nytprof-perl (2.10-2) unstable; urgency=low

  * Add patch test_more.patch by Niko Tyni: allows to build with older
    versions of Test::More; remove build dependency on libtest-simple-perl
    >= 0.82; thanks to Kurt Roeckx for the bug report (closes: #535835).

 -- gregor herrmann <gregoa@debian.org>  Mon, 06 Jul 2009 18:06:58 +0200

libdevel-nytprof-perl (2.10-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
    + Various bug fixes leading to invalid data
    + Several resources added to META.yml
  * Added /me to Uploaders & d/copyright
  * Standards-Version 3.8.2
  * Refreshed quilt patches as code has changed slightly

  [ Nathan Handler ]
  * debian/watch: Update to ignore development releases.

  [ gregor herrmann ]
  * debian/control: remove build dependency on libtest-pod-coverage-perl, not
    used at the moment.

 -- Jonathan Yu <frequency@cpan.org>  Fri, 26 Jun 2009 09:36:52 -0400

libdevel-nytprof-perl (2.09-1) unstable; urgency=low

  [ Brian Cassidy ]
  * New upstream release

  [ gregor herrmann ]
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).

  * New upstream release, contains a fix for the "Unable to open ..." warning
    (closes: #510440).
  * Adjust debian/rules and debian/libdevel-nytprof-perl.links to the new name
    of the embedded jquery file.
  * Move architecture independent files from /usr/lib/perl5 to
    /usr/share/perl5. Patch nytprofhtml to make it find the moved files.
  * Move perftest.pl to examples.
  * Set Standards-Version to 3.8.1 (no changes).

 -- gregor herrmann <gregoa@debian.org>  Mon, 06 Apr 2009 00:27:43 +0200

libdevel-nytprof-perl (2.07-1) unstable; urgency=low

  [ Jose Luis Rivas ]
  * New upstream release
  * debian/control:
   + Added me as uploader.
  * debian/copyright:
   + Added Debian Perl Group copyright over debian/*.

  [ gregor herrmann ]
  * debian/copyright: replace Debian Perl Group by Jose.
  * debian/libdevel-nytprof-perl.links: remove leading slashes, as per the
    examples in dh_link(1).

 -- Jose Luis Rivas <ghostbar38@gmail.com>  Sat, 01 Nov 2008 22:59:57 -0430

libdevel-nytprof-perl (2.05-1) unstable; urgency=low

  * New upstream release.

 -- gregor herrmann <gregoa@debian.org>  Fri, 10 Oct 2008 14:04:10 +0200

libdevel-nytprof-perl (2.04-1) unstable; urgency=low

  * New upstream release.
  * Add zlib1g-dev to Build-Depends.
  * Replace the shipped jquery.min.js with a symlink to the file from the
    libjs-jquery package; add a dependency accordingly.

 -- gregor herrmann <gregoa@debian.org>  Sun, 05 Oct 2008 01:02:02 +0200

libdevel-nytprof-perl (2.03-1) unstable; urgency=low

  * Initial release (closes: #496952).

 -- gregor herrmann <gregoa@debian.org>  Fri, 29 Aug 2008 02:28:44 +0200
